Skip to content

Patch distributor ​

PATCH
/v1/distributors/{requested_distributor_id}

Partially update a distributor (e.g., update address).

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

requested_distributor_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"iso_country": null,
  
"distributor_name": null,
  
"administrative_email": null,
  
"sandbox_only": null,
  
"distributor_status": null,
  
"account_type": null,
  
"fixed_fee": null,
  
"finance": {
  
  
"vat_number": null,
  
  
"member_state": null,
  
  
"contact_person": null,
  
  
"contact_person_firstname": null,
  
  
"contact_person_lastname": null,
  
  
"phone_number": null,
  
  
"administrative_email": null,
  
  
"payment_methods": [
  
  
  
"string"
  
  
],
  
  
"chamber_of_commerce": null,
  
  
"foreign_vat_numbers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"document_types_accessible": [
  
  
  
"string"
  
  
]
  
},
  
"customerservice": {
  
  
"email": null,
  
  
"url_website": null,
  
  
"phone_number": null,
  
  
"trade_name": null
  
},
  
"see_own_supplier_tickets": null,
  
"slug": null,
  
"address": {
  
  
"country": "string",
  
  
"city": "string",
  
  
"province": null,
  
  
"number": "string",
  
  
"postalcode": "string",
  
  
"streetname": "string",
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"invoice_address": {
  
  
"country": "string",
  
  
"city": "string",
  
  
"province": null,
  
  
"number": "string",
  
  
"postalcode": "string",
  
  
"streetname": "string",
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"username": null,
  
"supplier_id": null,
  
"allowed_currencies": [
  
  
"string"
  
],
  
"preferred_currency": null,
  
"corporate_color": null,
  
"narrative_color": null,
  
"font_family": null,
  
"logo_url": null,
  
"payment_condition": null,
  
"distributor_supplier_status": null,
  
"sports_enabled": [
  
  
"string"
  
],
  
"sports_disabled": [
  
  
"string"
  
],
  
"roles": [
  
  
"string"
  
],
  
"grace_period_download_tickets": null,
  
"maincontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"thirty_day_limit": null,
  
"sixty_day_limit": null,
  
"ninety_day_limit": null,
  
"financecontact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"total_deferred_limit": null,
  
"total_invoice_limit": null,
  
"signed_platform_agreement_date": null,
  
"signed_platform_agreement_version": null,
  
"distribution_channel_type": null,
  
"distributor_metadata": {
  
  
"additionalProperties": "string"
  
},
  
"business_segment": null,
  
"payment_segment": null,
  
"address_dto": {
  
  
"version": 2,
  
  
"created": null,
  
  
"updated": null,
  
  
"deleted": null,
  
  
"created_by": null,
  
  
"updated_by": null,
  
  
"deleted_by": null,
  
  
"metadata": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"latitude": null,
  
  
"longitude": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"location_id": null,
  
  
"address_id": null
  
}
}

Responses​

No Content

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​